**EXTENSION**

# `NavigationView`

## Properties
### `componentID`

The ID for the component field in a content storage.

## Methods
### `init(_:_:content:initialView:)`

Initialize a navigation view.
- Parameters:
  - stack: The navigation stack for pushing and popping.
  - initialTitle: The title of the initial view.
  - content: The view for a path component.
  - initialView: The view that is displayed when the path is empty.
